Subject: bug#39977: 28.0.50; Unhelpful stack trace

From: martin rudalics <[email-masked]>
Date: Sat, 14 Mar 2020 09:48:20 +0100

>> In either case sf = NULL; is not TRT but I think you are aware of
 >> that.
 >
 > No, I don't think I'm aware of that.  It's just a local variable, so
 > why assigning NULL could not be TRT?

Because it hides the underlying error.  The abort in SELECTED_FRAME is
there so we can find its cause and that's why I said you are aware of
it.  Obviously, we can set it to NULL to avoid an abort when, as in the
case at hand, we construct the mode line or the frame title.  But in
general doing such a thing in select_window is not TRT.  At least that's
what I learned from you.

martin